
### SYNOPSIS
```
ligo SUBCOMMAND
```

### DESCRIPTION
The LigoLANG compiler

### SUB-COMMANDS
**compile**
compile a ligo program to michelson

**transpile**
Transpile ligo code from a syntax to another

**transpile-with-ast**
[BETA] transpile ligo code from a syntax to another

**run**
compile and interpret ligo code

**info**
tools to get information from contracts

**repl**
interactive ligo interpreter

**init**
Initialize a new ligo project from template. Contract or library.

**changelog**
print the ligo changelog

**print**
print intermediary program representation. Warning: Intended for development of LIGO and can break at any time

**install**
install LIGO dependencies declared in package.json

**publish**
[BETA] publish the LIGO package declared in package.json

**add-user**
[BETA] create a new user for the LIGO package registry

**login**
[BETA] login to the LIGO package registry

**daemon**
launch a long running LIGO process

**lsp**
[BETA] launch a LIGO lsp server

**analytics**
Manage analytics

**version**
print version information

**help**
explain a given subcommand (perhaps recursively)


